root: true

parser: "@typescript-eslint/parser"
parserOptions:
  project:
    - ./tsconfig.json
plugins:
  - "@typescript-eslint"

extends:
  - eslint:recommended
  - plugin:@typescript-eslint/recommended
  - plugin:@typescript-eslint/recommended-requiring-type-checking

env:
  es6: true
  browser: true


# {
#     "parser": "@typescript-eslint/parser",
#     "plugins": [
#         "@typescript-eslint"
#     ],
#     "env": {
#         "es6": true,
#         "browser": true,
#         "jquery": true
#     },
#     "extends": [
#         "eslint:recommended",
#         "plugin:@typescript-eslint/recommended"
#     ],
#     "rules": {
#         "indent": [
#             "error",
#             4
#         ],
#         "linebreak-style": [
#             "error",
#             "unix"
#         ],
#         "quotes": [
#             "error",
#             "double"
#         ],
#         "semi": [
#             "warn",
#             "always"
#         ],
#         "no-console": [
#             "off"
#         ],
#         "no-unused-vars": [
#             "warn",
#             { "argsIgnorePattern": "^_" }
#         ]
#     }
# }
